function updatestufen
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

global faktorstring stufenvec aktiverfaktor gradientcell stufenvec widmat ausschlussmat signallaenge

gradientedit=findobj('tag','gradientedit');
faktorauswahl=findobj('tag','faktorauswahl');
anzahlfaktoren=length(faktorstring);
   
if isstr(get(gradientedit,'string'))
    gradient=str2num(get(gradientedit,'string'));
    gradientcell{aktiverfaktor,1}=gradient;
else
    gradient=get(gradientedit,'string');
    gradientcell{aktiverfaktor,1}=gradient;
end


widindex=findstr(faktorstring{aktiverfaktor},'*');
if length(widindex)>0
faktorstring{aktiverfaktor}(widindex(1):length(faktorstring{aktiverfaktor}))=[];
end



faktorstring{aktiverfaktor}=[faktorstring{aktiverfaktor},'*',num2str(gradientcell{aktiverfaktor,1})];
set(faktorauswahl,'string',faktorstring);
length(gradientcell);
updatesignallaenge;
return